Bug 23117 - Unable to login to OS X Server Wikis
Summary: Unable to login to OS X Server Wikis
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2009-01-05 07:22 PST by dave
Modified: 2009-02-13 14:34 PST (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dave 2009-01-05 07:22:49 PST
Starting with the latest (downloaded roughly 10am ET 1/5/09) nightly build (may have started earlier, but I was horribly behind in my updates) I can no longer login to OS X Server Wiki sites. When I try, I get an alert window showing the URL and the following message:

Error from server: Incorrect padding (8002)

I am still able to login fine using Safari 3.2.

If it makes a difference, my user name is my first and last name in camel case with no spaces or special characters and it is 11 characters long. My password contains 2 upper case letters, 2 numbers, 2 special characters, and 4 lower case letters.

Thanks,
-dave
Comment 1 Mark Rowe (bdash) 2009-01-05 15:14:27 PST
<rdar://problem/6460694>
Comment 2 John C. Welch 2009-01-16 07:36:16 PST
I'm seeing this too, WebKit build 39953, wikis are on Mac OS X Server 10.5.6. Nothing special about my login credentials.
Comment 3 Nathan Reilly 2009-02-12 04:43:45 PST
I had experienced this, upgraded to 40884.

Verified fixed in 40884
Unsure which build resolved it
Comment 4 Alexey Proskuryakov 2009-02-13 14:34:55 PST
Apparently, this was fixed in <http://trac.webkit.org/changeset/39984> by Geoff Garen.